<?php
namespace Teknisa\FIS\Controllers;

use Teknisa\FIS\Services\Fis06900TipoDeItemService;
use Zeedhi\Framework\DataSource\ParameterBag;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DTO\Request\Row;
use Zeedhi\Framework\DataSource\DataSet;

class Fis06900TipoDeItemController extends \Teknisa\FIS\Controllers\TeknisaCrud {

    protected $serviceTipodeItem;

    public function __construct($crudService, ParameterBag $parameterBag, Fis06900TipoDeItemService $serviceTipodeItem) {
        $this->serviceTipodeItem = $serviceTipodeItem;
        parent::__construct($crudService, $parameterBag);
    }

    public function deletaTipoItemLivroMag(DTO\Request\Row $request, DTO\Response $response) {
        $row = $request->getRow();
        $this->serviceTipodeItem->deletaTipoItemLivroMag($row['CDLIVROMAG']);
    }

    public function importTipoItemLivromag(DTO\Request $request, DTO\Response $response) {
        $requestRow = $request->getRow();
        $data = $requestRow["DATA"];
        $cdlivromag = $requestRow["CDLIVROMAG"];
        foreach($data as $row) {
            $this->serviceTipodeItem->saveTipoItemLivroMag($row, $cdlivromag);
        }
    }
}


